Package be.fgov.ehealth.dics.protocol.v4

# Class ConsultReimbursementConditionType

java.lang.Object
be.fgov.ehealth.dics.core.v4.reimbursementlaw.submit.ReimbursementConditionKeyType
be.fgov.ehealth.dics.protocol.v4.ConsultReimbursementConditionType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:33+02:00", comments="JAXB RI v4.0.5") public class ConsultReimbursementConditionType extends ReimbursementConditionKeyType implements Serializable

Java class for ConsultReimbursementConditionType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultReimbursementConditionType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:core:v4:reimbursementlaw:submit}ReimbursementConditionKeyType">
           <sequence>
             <element name="Expression" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Attachment" type="{urn:be:fgov:ehealth:dics:protocol:v4}ConsultAttachmentType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v4}validityPeriod"/>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultReimbursementConditionType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<ConsultAttachmentType>`
  `getAttachments()`
  Gets the value of the attachments property.
  `Instant`
  `getEndDate()`
  Gets the value of the endDate property.
  `String`
  `getExpression()`
  Gets the value of the expression property.
  `Instant`
  `getStartDate()`
  Gets the value of the startDate property.
  `void`
  `setEndDate(Instant value)`
  Sets the value of the endDate property.
  `void`
  `setExpression(String value)`
  Sets the value of the expression property.
  `void`
  `setStartDate(Instant value)`
  Sets the value of the startDate property.

  ### Methods inherited from class be.fgov.ehealth.dics.core.v4.reimbursementlaw.submit.ReimbursementConditionKeyType

  `getKey, getLegalTextRelativePath, setKey, setLegalTextRelativePath`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultReimbursementConditionType

    public ConsultReimbursementConditionType()

- ## Method Details

  - ### getExpression

    public String getExpression()
    Gets the value of the expression property.
    Returns:
      possible object is `String`

  - ### setExpression

    public void setExpression(String value)
    Sets the value of the expression property.
    Parameters:
      `value` - allowed object is `String`

  - ### getAttachments

    public List<ConsultAttachmentType> getAttachments()
    Gets the value of the attachments property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the attachments property.

    For example, to add a new item, do as follows:

         getAttachments().add(newItem);

    Objects of the following type(s) are allowed in the list `ConsultAttachmentType`

    Returns:
      The value of the attachments property.

  - ### getStartDate

    public Instant getStartDate()
    Gets the value of the startDate property.
    Returns:
      possible object is `String`

  - ### setStartDate

    public void setStartDate(Instant value)
    Sets the value of the startDate property.
    Parameters:
      `value` - allowed object is `String`

  - ### getEndDate

    public Instant getEndDate()
    Gets the value of the endDate property.
    Returns:
      possible object is `String`

  - ### setEndDate

    public void setEndDate(Instant value)
    Sets the value of the endDate property.
    Parameters:
      `value` - allowed object is `String`